package com.hai.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class HighChildOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public HighChildOrderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(Long value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(Long value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(Long value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(Long value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<Long> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<Long> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(Long value1, Long value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andMemIdIsNull() {
            addCriterion("mem_id is null");
            return (Criteria) this;
        }

        public Criteria andMemIdIsNotNull() {
            addCriterion("mem_id is not null");
            return (Criteria) this;
        }

        public Criteria andMemIdEqualTo(Long value) {
            addCriterion("mem_id =", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotEqualTo(Long value) {
            addCriterion("mem_id <>", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdGreaterThan(Long value) {
            addCriterion("mem_id >", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mem_id >=", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdLessThan(Long value) {
            addCriterion("mem_id <", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdLessThanOrEqualTo(Long value) {
            addCriterion("mem_id <=", value, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdIn(List<Long> values) {
            addCriterion("mem_id in", values, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotIn(List<Long> values) {
            addCriterion("mem_id not in", values, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdBetween(Long value1, Long value2) {
            addCriterion("mem_id between", value1, value2, "memId");
            return (Criteria) this;
        }

        public Criteria andMemIdNotBetween(Long value1, Long value2) {
            addCriterion("mem_id not between", value1, value2, "memId");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNull() {
            addCriterion("store_id is null");
            return (Criteria) this;
        }

        public Criteria andStoreIdIsNotNull() {
            addCriterion("store_id is not null");
            return (Criteria) this;
        }

        public Criteria andStoreIdEqualTo(Long value) {
            addCriterion("store_id =", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotEqualTo(Long value) {
            addCriterion("store_id <>", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThan(Long value) {
            addCriterion("store_id >", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdGreaterThanOrEqualTo(Long value) {
            addCriterion("store_id >=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThan(Long value) {
            addCriterion("store_id <", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdLessThanOrEqualTo(Long value) {
            addCriterion("store_id <=", value, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdIn(List<Long> values) {
            addCriterion("store_id in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotIn(List<Long> values) {
            addCriterion("store_id not in", values, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdBetween(Long value1, Long value2) {
            addCriterion("store_id between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreIdNotBetween(Long value1, Long value2) {
            addCriterion("store_id not between", value1, value2, "storeId");
            return (Criteria) this;
        }

        public Criteria andStoreNameIsNull() {
            addCriterion("store_name is null");
            return (Criteria) this;
        }

        public Criteria andStoreNameIsNotNull() {
            addCriterion("store_name is not null");
            return (Criteria) this;
        }

        public Criteria andStoreNameEqualTo(String value) {
            addCriterion("store_name =", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotEqualTo(String value) {
            addCriterion("store_name <>", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameGreaterThan(String value) {
            addCriterion("store_name >", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameGreaterThanOrEqualTo(String value) {
            addCriterion("store_name >=", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLessThan(String value) {
            addCriterion("store_name <", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLessThanOrEqualTo(String value) {
            addCriterion("store_name <=", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameLike(String value) {
            addCriterion("store_name like", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotLike(String value) {
            addCriterion("store_name not like", value, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameIn(List<String> values) {
            addCriterion("store_name in", values, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotIn(List<String> values) {
            addCriterion("store_name not in", values, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameBetween(String value1, String value2) {
            addCriterion("store_name between", value1, value2, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreNameNotBetween(String value1, String value2) {
            addCriterion("store_name not between", value1, value2, "storeName");
            return (Criteria) this;
        }

        public Criteria andStoreAddressIsNull() {
            addCriterion("store_address is null");
            return (Criteria) this;
        }

        public Criteria andStoreAddressIsNotNull() {
            addCriterion("store_address is not null");
            return (Criteria) this;
        }

        public Criteria andStoreAddressEqualTo(String value) {
            addCriterion("store_address =", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressNotEqualTo(String value) {
            addCriterion("store_address <>", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressGreaterThan(String value) {
            addCriterion("store_address >", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressGreaterThanOrEqualTo(String value) {
            addCriterion("store_address >=", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressLessThan(String value) {
            addCriterion("store_address <", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressLessThanOrEqualTo(String value) {
            addCriterion("store_address <=", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressLike(String value) {
            addCriterion("store_address like", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressNotLike(String value) {
            addCriterion("store_address not like", value, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressIn(List<String> values) {
            addCriterion("store_address in", values, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressNotIn(List<String> values) {
            addCriterion("store_address not in", values, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressBetween(String value1, String value2) {
            addCriterion("store_address between", value1, value2, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andStoreAddressNotBetween(String value1, String value2) {
            addCriterion("store_address not between", value1, value2, "storeAddress");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIsNull() {
            addCriterion("goods_type is null");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIsNotNull() {
            addCriterion("goods_type is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeEqualTo(Integer value) {
            addCriterion("goods_type =", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeNotEqualTo(Integer value) {
            addCriterion("goods_type <>", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeGreaterThan(Integer value) {
            addCriterion("goods_type >", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_type >=", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeLessThan(Integer value) {
            addCriterion("goods_type <", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeLessThanOrEqualTo(Integer value) {
            addCriterion("goods_type <=", value, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeIn(List<Integer> values) {
            addCriterion("goods_type in", values, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeNotIn(List<Integer> values) {
            addCriterion("goods_type not in", values, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeBetween(Integer value1, Integer value2) {
            addCriterion("goods_type between", value1, value2, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("goods_type not between", value1, value2, "goodsType");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNull() {
            addCriterion("goods_id is null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNotNull() {
            addCriterion("goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdEqualTo(Long value) {
            addCriterion("goods_id =", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotEqualTo(Long value) {
            addCriterion("goods_id <>", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThan(Long value) {
            addCriterion("goods_id >", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThanOrEqualTo(Long value) {
            addCriterion("goods_id >=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThan(Long value) {
            addCriterion("goods_id <", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThanOrEqualTo(Long value) {
            addCriterion("goods_id <=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIn(List<Long> values) {
            addCriterion("goods_id in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotIn(List<Long> values) {
            addCriterion("goods_id not in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdBetween(Long value1, Long value2) {
            addCriterion("goods_id between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotBetween(Long value1, Long value2) {
            addCriterion("goods_id not between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIsNull() {
            addCriterion("goods_name is null");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIsNotNull() {
            addCriterion("goods_name is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsNameEqualTo(String value) {
            addCriterion("goods_name =", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotEqualTo(String value) {
            addCriterion("goods_name <>", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameGreaterThan(String value) {
            addCriterion("goods_name >", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameGreaterThanOrEqualTo(String value) {
            addCriterion("goods_name >=", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLessThan(String value) {
            addCriterion("goods_name <", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLessThanOrEqualTo(String value) {
            addCriterion("goods_name <=", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameLike(String value) {
            addCriterion("goods_name like", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotLike(String value) {
            addCriterion("goods_name not like", value, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameIn(List<String> values) {
            addCriterion("goods_name in", values, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotIn(List<String> values) {
            addCriterion("goods_name not in", values, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameBetween(String value1, String value2) {
            addCriterion("goods_name between", value1, value2, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsNameNotBetween(String value1, String value2) {
            addCriterion("goods_name not between", value1, value2, "goodsName");
            return (Criteria) this;
        }

        public Criteria andGoodsDescIsNull() {
            addCriterion("goods_desc is null");
            return (Criteria) this;
        }

        public Criteria andGoodsDescIsNotNull() {
            addCriterion("goods_desc is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsDescEqualTo(String value) {
            addCriterion("goods_desc =", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescNotEqualTo(String value) {
            addCriterion("goods_desc <>", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescGreaterThan(String value) {
            addCriterion("goods_desc >", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescGreaterThanOrEqualTo(String value) {
            addCriterion("goods_desc >=", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescLessThan(String value) {
            addCriterion("goods_desc <", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescLessThanOrEqualTo(String value) {
            addCriterion("goods_desc <=", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescLike(String value) {
            addCriterion("goods_desc like", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescNotLike(String value) {
            addCriterion("goods_desc not like", value, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescIn(List<String> values) {
            addCriterion("goods_desc in", values, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescNotIn(List<String> values) {
            addCriterion("goods_desc not in", values, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescBetween(String value1, String value2) {
            addCriterion("goods_desc between", value1, value2, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsDescNotBetween(String value1, String value2) {
            addCriterion("goods_desc not between", value1, value2, "goodsDesc");
            return (Criteria) this;
        }

        public Criteria andGoodsImgIsNull() {
            addCriterion("goods_img is null");
            return (Criteria) this;
        }

        public Criteria andGoodsImgIsNotNull() {
            addCriterion("goods_img is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsImgEqualTo(String value) {
            addCriterion("goods_img =", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgNotEqualTo(String value) {
            addCriterion("goods_img <>", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgGreaterThan(String value) {
            addCriterion("goods_img >", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgGreaterThanOrEqualTo(String value) {
            addCriterion("goods_img >=", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgLessThan(String value) {
            addCriterion("goods_img <", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgLessThanOrEqualTo(String value) {
            addCriterion("goods_img <=", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgLike(String value) {
            addCriterion("goods_img like", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgNotLike(String value) {
            addCriterion("goods_img not like", value, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgIn(List<String> values) {
            addCriterion("goods_img in", values, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgNotIn(List<String> values) {
            addCriterion("goods_img not in", values, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgBetween(String value1, String value2) {
            addCriterion("goods_img between", value1, value2, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsImgNotBetween(String value1, String value2) {
            addCriterion("goods_img not between", value1, value2, "goodsImg");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameIsNull() {
            addCriterion("goods_spec_name is null");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameIsNotNull() {
            addCriterion("goods_spec_name is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameEqualTo(String value) {
            addCriterion("goods_spec_name =", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameNotEqualTo(String value) {
            addCriterion("goods_spec_name <>", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameGreaterThan(String value) {
            addCriterion("goods_spec_name >", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameGreaterThanOrEqualTo(String value) {
            addCriterion("goods_spec_name >=", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameLessThan(String value) {
            addCriterion("goods_spec_name <", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameLessThanOrEqualTo(String value) {
            addCriterion("goods_spec_name <=", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameLike(String value) {
            addCriterion("goods_spec_name like", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameNotLike(String value) {
            addCriterion("goods_spec_name not like", value, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameIn(List<String> values) {
            addCriterion("goods_spec_name in", values, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameNotIn(List<String> values) {
            addCriterion("goods_spec_name not in", values, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameBetween(String value1, String value2) {
            addCriterion("goods_spec_name between", value1, value2, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsSpecNameNotBetween(String value1, String value2) {
            addCriterion("goods_spec_name not between", value1, value2, "goodsSpecName");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceIsNull() {
            addCriterion("goods_price is null");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceIsNotNull() {
            addCriterion("goods_price is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceEqualTo(BigDecimal value) {
            addCriterion("goods_price =", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceNotEqualTo(BigDecimal value) {
            addCriterion("goods_price <>", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceGreaterThan(BigDecimal value) {
            addCriterion("goods_price >", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_price >=", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceLessThan(BigDecimal value) {
            addCriterion("goods_price <", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_price <=", value, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceIn(List<BigDecimal> values) {
            addCriterion("goods_price in", values, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceNotIn(List<BigDecimal> values) {
            addCriterion("goods_price not in", values, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_price between", value1, value2, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_price not between", value1, value2, "goodsPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceIsNull() {
            addCriterion("goods_actual_price is null");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceIsNotNull() {
            addCriterion("goods_actual_price is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceEqualTo(BigDecimal value) {
            addCriterion("goods_actual_price =", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceNotEqualTo(BigDecimal value) {
            addCriterion("goods_actual_price <>", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceGreaterThan(BigDecimal value) {
            addCriterion("goods_actual_price >", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_actual_price >=", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceLessThan(BigDecimal value) {
            addCriterion("goods_actual_price <", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_actual_price <=", value, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceIn(List<BigDecimal> values) {
            addCriterion("goods_actual_price in", values, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceNotIn(List<BigDecimal> values) {
            addCriterion("goods_actual_price not in", values, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_actual_price between", value1, value2, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andGoodsActualPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_actual_price not between", value1, value2, "goodsActualPrice");
            return (Criteria) this;
        }

        public Criteria andSaleCountIsNull() {
            addCriterion("sale_count is null");
            return (Criteria) this;
        }

        public Criteria andSaleCountIsNotNull() {
            addCriterion("sale_count is not null");
            return (Criteria) this;
        }

        public Criteria andSaleCountEqualTo(Integer value) {
            addCriterion("sale_count =", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountNotEqualTo(Integer value) {
            addCriterion("sale_count <>", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountGreaterThan(Integer value) {
            addCriterion("sale_count >", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("sale_count >=", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountLessThan(Integer value) {
            addCriterion("sale_count <", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountLessThanOrEqualTo(Integer value) {
            addCriterion("sale_count <=", value, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountIn(List<Integer> values) {
            addCriterion("sale_count in", values, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountNotIn(List<Integer> values) {
            addCriterion("sale_count not in", values, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountBetween(Integer value1, Integer value2) {
            addCriterion("sale_count between", value1, value2, "saleCount");
            return (Criteria) this;
        }

        public Criteria andSaleCountNotBetween(Integer value1, Integer value2) {
            addCriterion("sale_count not between", value1, value2, "saleCount");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIsNull() {
            addCriterion("total_price is null");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIsNotNull() {
            addCriterion("total_price is not null");
            return (Criteria) this;
        }

        public Criteria andTotalPriceEqualTo(BigDecimal value) {
            addCriterion("total_price =", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotEqualTo(BigDecimal value) {
            addCriterion("total_price <>", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceGreaterThan(BigDecimal value) {
            addCriterion("total_price >", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_price >=", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceLessThan(BigDecimal value) {
            addCriterion("total_price <", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_price <=", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIn(List<BigDecimal> values) {
            addCriterion("total_price in", values, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotIn(List<BigDecimal> values) {
            addCriterion("total_price not in", values, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_price between", value1, value2, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_price not between", value1, value2, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeIsNull() {
            addCriterion("giveaway_type is null");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeIsNotNull() {
            addCriterion("giveaway_type is not null");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeEqualTo(Boolean value) {
            addCriterion("giveaway_type =", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeNotEqualTo(Boolean value) {
            addCriterion("giveaway_type <>", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeGreaterThan(Boolean value) {
            addCriterion("giveaway_type >", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeGreaterThanOrEqualTo(Boolean value) {
            addCriterion("giveaway_type >=", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeLessThan(Boolean value) {
            addCriterion("giveaway_type <", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeLessThanOrEqualTo(Boolean value) {
            addCriterion("giveaway_type <=", value, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeIn(List<Boolean> values) {
            addCriterion("giveaway_type in", values, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeNotIn(List<Boolean> values) {
            addCriterion("giveaway_type not in", values, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeBetween(Boolean value1, Boolean value2) {
            addCriterion("giveaway_type between", value1, value2, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andGiveawayTypeNotBetween(Boolean value1, Boolean value2) {
            addCriterion("giveaway_type not between", value1, value2, "giveawayType");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusIsNull() {
            addCriterion("child_orde_status is null");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusIsNotNull() {
            addCriterion("child_orde_status is not null");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusEqualTo(Integer value) {
            addCriterion("child_orde_status =", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusNotEqualTo(Integer value) {
            addCriterion("child_orde_status <>", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusGreaterThan(Integer value) {
            addCriterion("child_orde_status >", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("child_orde_status >=", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusLessThan(Integer value) {
            addCriterion("child_orde_status <", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusLessThanOrEqualTo(Integer value) {
            addCriterion("child_orde_status <=", value, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusIn(List<Integer> values) {
            addCriterion("child_orde_status in", values, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusNotIn(List<Integer> values) {
            addCriterion("child_orde_status not in", values, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusBetween(Integer value1, Integer value2) {
            addCriterion("child_orde_status between", value1, value2, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andChildOrdeStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("child_orde_status not between", value1, value2, "childOrdeStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusIsNull() {
            addCriterion("praise_status is null");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusIsNotNull() {
            addCriterion("praise_status is not null");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusEqualTo(Integer value) {
            addCriterion("praise_status =", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusNotEqualTo(Integer value) {
            addCriterion("praise_status <>", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusGreaterThan(Integer value) {
            addCriterion("praise_status >", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("praise_status >=", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusLessThan(Integer value) {
            addCriterion("praise_status <", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusLessThanOrEqualTo(Integer value) {
            addCriterion("praise_status <=", value, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusIn(List<Integer> values) {
            addCriterion("praise_status in", values, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusNotIn(List<Integer> values) {
            addCriterion("praise_status not in", values, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusBetween(Integer value1, Integer value2) {
            addCriterion("praise_status between", value1, value2, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andPraiseStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("praise_status not between", value1, value2, "praiseStatus");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIsNull() {
            addCriterion("gas_oil_no is null");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIsNotNull() {
            addCriterion("gas_oil_no is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilNoEqualTo(String value) {
            addCriterion("gas_oil_no =", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotEqualTo(String value) {
            addCriterion("gas_oil_no <>", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoGreaterThan(String value) {
            addCriterion("gas_oil_no >", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoGreaterThanOrEqualTo(String value) {
            addCriterion("gas_oil_no >=", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLessThan(String value) {
            addCriterion("gas_oil_no <", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLessThanOrEqualTo(String value) {
            addCriterion("gas_oil_no <=", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoLike(String value) {
            addCriterion("gas_oil_no like", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotLike(String value) {
            addCriterion("gas_oil_no not like", value, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoIn(List<String> values) {
            addCriterion("gas_oil_no in", values, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotIn(List<String> values) {
            addCriterion("gas_oil_no not in", values, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoBetween(String value1, String value2) {
            addCriterion("gas_oil_no between", value1, value2, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasOilNoNotBetween(String value1, String value2) {
            addCriterion("gas_oil_no not between", value1, value2, "gasOilNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIsNull() {
            addCriterion("gas_gun_no is null");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIsNotNull() {
            addCriterion("gas_gun_no is not null");
            return (Criteria) this;
        }

        public Criteria andGasGunNoEqualTo(String value) {
            addCriterion("gas_gun_no =", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotEqualTo(String value) {
            addCriterion("gas_gun_no <>", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoGreaterThan(String value) {
            addCriterion("gas_gun_no >", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoGreaterThanOrEqualTo(String value) {
            addCriterion("gas_gun_no >=", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLessThan(String value) {
            addCriterion("gas_gun_no <", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLessThanOrEqualTo(String value) {
            addCriterion("gas_gun_no <=", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoLike(String value) {
            addCriterion("gas_gun_no like", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotLike(String value) {
            addCriterion("gas_gun_no not like", value, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoIn(List<String> values) {
            addCriterion("gas_gun_no in", values, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotIn(List<String> values) {
            addCriterion("gas_gun_no not in", values, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoBetween(String value1, String value2) {
            addCriterion("gas_gun_no between", value1, value2, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasGunNoNotBetween(String value1, String value2) {
            addCriterion("gas_gun_no not between", value1, value2, "gasGunNo");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIsNull() {
            addCriterion("gas_oil_type is null");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIsNotNull() {
            addCriterion("gas_oil_type is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeEqualTo(Integer value) {
            addCriterion("gas_oil_type =", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotEqualTo(Integer value) {
            addCriterion("gas_oil_type <>", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeGreaterThan(Integer value) {
            addCriterion("gas_oil_type >", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("gas_oil_type >=", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeLessThan(Integer value) {
            addCriterion("gas_oil_type <", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeLessThanOrEqualTo(Integer value) {
            addCriterion("gas_oil_type <=", value, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeIn(List<Integer> values) {
            addCriterion("gas_oil_type in", values, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotIn(List<Integer> values) {
            addCriterion("gas_oil_type not in", values, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeBetween(Integer value1, Integer value2) {
            addCriterion("gas_oil_type between", value1, value2, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOilTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("gas_oil_type not between", value1, value2, "gasOilType");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoIsNull() {
            addCriterion("gas_order_no is null");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoIsNotNull() {
            addCriterion("gas_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoEqualTo(String value) {
            addCriterion("gas_order_no =", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoNotEqualTo(String value) {
            addCriterion("gas_order_no <>", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoGreaterThan(String value) {
            addCriterion("gas_order_no >", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("gas_order_no >=", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoLessThan(String value) {
            addCriterion("gas_order_no <", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoLessThanOrEqualTo(String value) {
            addCriterion("gas_order_no <=", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoLike(String value) {
            addCriterion("gas_order_no like", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoNotLike(String value) {
            addCriterion("gas_order_no not like", value, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoIn(List<String> values) {
            addCriterion("gas_order_no in", values, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoNotIn(List<String> values) {
            addCriterion("gas_order_no not in", values, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoBetween(String value1, String value2) {
            addCriterion("gas_order_no between", value1, value2, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasOrderNoNotBetween(String value1, String value2) {
            addCriterion("gas_order_no not between", value1, value2, "gasOrderNo");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIsNull() {
            addCriterion("gas_price_platform is null");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIsNotNull() {
            addCriterion("gas_price_platform is not null");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform =", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform <>", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformGreaterThan(BigDecimal value) {
            addCriterion("gas_price_platform >", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform >=", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformLessThan(BigDecimal value) {
            addCriterion("gas_price_platform <", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_platform <=", value, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformIn(List<BigDecimal> values) {
            addCriterion("gas_price_platform in", values, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_platform not in", values, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_platform between", value1, value2, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPricePlatformNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_platform not between", value1, value2, "gasPricePlatform");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIsNull() {
            addCriterion("gas_price_gun is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIsNotNull() {
            addCriterion("gas_price_gun is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun =", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun <>", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunGreaterThan(BigDecimal value) {
            addCriterion("gas_price_gun >", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun >=", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunLessThan(BigDecimal value) {
            addCriterion("gas_price_gun <", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_gun <=", value, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunIn(List<BigDecimal> values) {
            addCriterion("gas_price_gun in", values, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_gun not in", values, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_gun between", value1, value2, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceGunNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_gun not between", value1, value2, "gasPriceGun");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIsNull() {
            addCriterion("gas_price_vip is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIsNotNull() {
            addCriterion("gas_price_vip is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip =", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip <>", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipGreaterThan(BigDecimal value) {
            addCriterion("gas_price_vip >", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip >=", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipLessThan(BigDecimal value) {
            addCriterion("gas_price_vip <", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_vip <=", value, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipIn(List<BigDecimal> values) {
            addCriterion("gas_price_vip in", values, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_vip not in", values, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_vip between", value1, value2, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceVipNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_vip not between", value1, value2, "gasPriceVip");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIsNull() {
            addCriterion("gas_price_official is null");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIsNotNull() {
            addCriterion("gas_price_official is not null");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialEqualTo(BigDecimal value) {
            addCriterion("gas_price_official =", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_official <>", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialGreaterThan(BigDecimal value) {
            addCriterion("gas_price_official >", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_official >=", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialLessThan(BigDecimal value) {
            addCriterion("gas_price_official <", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_official <=", value, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialIn(List<BigDecimal> values) {
            addCriterion("gas_price_official in", values, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_official not in", values, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_official between", value1, value2, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasPriceOfficialNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_official not between", value1, value2, "gasPriceOfficial");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIsNull() {
            addCriterion("gas_oil_liters is null");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIsNotNull() {
            addCriterion("gas_oil_liters is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters =", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters <>", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersGreaterThan(BigDecimal value) {
            addCriterion("gas_oil_liters >", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters >=", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersLessThan(BigDecimal value) {
            addCriterion("gas_oil_liters <", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_liters <=", value, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersIn(List<BigDecimal> values) {
            addCriterion("gas_oil_liters in", values, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotIn(List<BigDecimal> values) {
            addCriterion("gas_oil_liters not in", values, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_liters between", value1, value2, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasOilLitersNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_liters not between", value1, value2, "gasOilLiters");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIsNull() {
            addCriterion("gas_discount is null");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIsNotNull() {
            addCriterion("gas_discount is not null");
            return (Criteria) this;
        }

        public Criteria andGasDiscountEqualTo(BigDecimal value) {
            addCriterion("gas_discount =", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotEqualTo(BigDecimal value) {
            addCriterion("gas_discount <>", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountGreaterThan(BigDecimal value) {
            addCriterion("gas_discount >", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_discount >=", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountLessThan(BigDecimal value) {
            addCriterion("gas_discount <", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_discount <=", value, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountIn(List<BigDecimal> values) {
            addCriterion("gas_discount in", values, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotIn(List<BigDecimal> values) {
            addCriterion("gas_discount not in", values, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_discount between", value1, value2, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasDiscountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_discount not between", value1, value2, "gasDiscount");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIsNull() {
            addCriterion("gas_oil_subsidy is null");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIsNotNull() {
            addCriterion("gas_oil_subsidy is not null");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy =", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy <>", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyGreaterThan(BigDecimal value) {
            addCriterion("gas_oil_subsidy >", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy >=", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyLessThan(BigDecimal value) {
            addCriterion("gas_oil_subsidy <", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_oil_subsidy <=", value, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyIn(List<BigDecimal> values) {
            addCriterion("gas_oil_subsidy in", values, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotIn(List<BigDecimal> values) {
            addCriterion("gas_oil_subsidy not in", values, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_subsidy between", value1, value2, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasOilSubsidyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_oil_subsidy not between", value1, value2, "gasOilSubsidy");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIsNull() {
            addCriterion("gas_liters_preferences is null");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIsNotNull() {
            addCriterion("gas_liters_preferences is not null");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences =", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences <>", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesGreaterThan(BigDecimal value) {
            addCriterion("gas_liters_preferences >", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences >=", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesLessThan(BigDecimal value) {
            addCriterion("gas_liters_preferences <", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_liters_preferences <=", value, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesIn(List<BigDecimal> values) {
            addCriterion("gas_liters_preferences in", values, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotIn(List<BigDecimal> values) {
            addCriterion("gas_liters_preferences not in", values, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_liters_preferences between", value1, value2, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasLitersPreferencesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_liters_preferences not between", value1, value2, "gasLitersPreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIsNull() {
            addCriterion("gas_price_preferences is null");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIsNotNull() {
            addCriterion("gas_price_preferences is not null");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences =", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences <>", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesGreaterThan(BigDecimal value) {
            addCriterion("gas_price_preferences >", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences >=", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesLessThan(BigDecimal value) {
            addCriterion("gas_price_preferences <", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_price_preferences <=", value, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesIn(List<BigDecimal> values) {
            addCriterion("gas_price_preferences in", values, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotIn(List<BigDecimal> values) {
            addCriterion("gas_price_preferences not in", values, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_preferences between", value1, value2, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasPricePreferencesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_price_preferences not between", value1, value2, "gasPricePreferences");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIsNull() {
            addCriterion("gas_class_group_id is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIsNotNull() {
            addCriterion("gas_class_group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdEqualTo(Long value) {
            addCriterion("gas_class_group_id =", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotEqualTo(Long value) {
            addCriterion("gas_class_group_id <>", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdGreaterThan(Long value) {
            addCriterion("gas_class_group_id >", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_id >=", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdLessThan(Long value) {
            addCriterion("gas_class_group_id <", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_id <=", value, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdIn(List<Long> values) {
            addCriterion("gas_class_group_id in", values, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotIn(List<Long> values) {
            addCriterion("gas_class_group_id not in", values, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_id between", value1, value2, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_id not between", value1, value2, "gasClassGroupId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIsNull() {
            addCriterion("gas_class_group_name is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIsNotNull() {
            addCriterion("gas_class_group_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameEqualTo(String value) {
            addCriterion("gas_class_group_name =", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotEqualTo(String value) {
            addCriterion("gas_class_group_name <>", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameGreaterThan(String value) {
            addCriterion("gas_class_group_name >", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_class_group_name >=", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLessThan(String value) {
            addCriterion("gas_class_group_name <", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLessThanOrEqualTo(String value) {
            addCriterion("gas_class_group_name <=", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameLike(String value) {
            addCriterion("gas_class_group_name like", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotLike(String value) {
            addCriterion("gas_class_group_name not like", value, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameIn(List<String> values) {
            addCriterion("gas_class_group_name in", values, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotIn(List<String> values) {
            addCriterion("gas_class_group_name not in", values, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameBetween(String value1, String value2) {
            addCriterion("gas_class_group_name between", value1, value2, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupNameNotBetween(String value1, String value2) {
            addCriterion("gas_class_group_name not between", value1, value2, "gasClassGroupName");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIsNull() {
            addCriterion("gas_class_group_task_id is null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIsNotNull() {
            addCriterion("gas_class_group_task_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdEqualTo(Long value) {
            addCriterion("gas_class_group_task_id =", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotEqualTo(Long value) {
            addCriterion("gas_class_group_task_id <>", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdGreaterThan(Long value) {
            addCriterion("gas_class_group_task_id >", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_task_id >=", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdLessThan(Long value) {
            addCriterion("gas_class_group_task_id <", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_class_group_task_id <=", value, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdIn(List<Long> values) {
            addCriterion("gas_class_group_task_id in", values, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotIn(List<Long> values) {
            addCriterion("gas_class_group_task_id not in", values, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_task_id between", value1, value2, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasClassGroupTaskIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_class_group_task_id not between", value1, value2, "gasClassGroupTaskId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIsNull() {
            addCriterion("gas_staff_id is null");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIsNotNull() {
            addCriterion("gas_staff_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdEqualTo(Long value) {
            addCriterion("gas_staff_id =", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotEqualTo(Long value) {
            addCriterion("gas_staff_id <>", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdGreaterThan(Long value) {
            addCriterion("gas_staff_id >", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_staff_id >=", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdLessThan(Long value) {
            addCriterion("gas_staff_id <", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_staff_id <=", value, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdIn(List<Long> values) {
            addCriterion("gas_staff_id in", values, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotIn(List<Long> values) {
            addCriterion("gas_staff_id not in", values, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdBetween(Long value1, Long value2) {
            addCriterion("gas_staff_id between", value1, value2, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_staff_id not between", value1, value2, "gasStaffId");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIsNull() {
            addCriterion("gas_staff_name is null");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIsNotNull() {
            addCriterion("gas_staff_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameEqualTo(String value) {
            addCriterion("gas_staff_name =", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotEqualTo(String value) {
            addCriterion("gas_staff_name <>", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameGreaterThan(String value) {
            addCriterion("gas_staff_name >", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_staff_name >=", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLessThan(String value) {
            addCriterion("gas_staff_name <", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLessThanOrEqualTo(String value) {
            addCriterion("gas_staff_name <=", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameLike(String value) {
            addCriterion("gas_staff_name like", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotLike(String value) {
            addCriterion("gas_staff_name not like", value, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameIn(List<String> values) {
            addCriterion("gas_staff_name in", values, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotIn(List<String> values) {
            addCriterion("gas_staff_name not in", values, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameBetween(String value1, String value2) {
            addCriterion("gas_staff_name between", value1, value2, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasStaffNameNotBetween(String value1, String value2) {
            addCriterion("gas_staff_name not between", value1, value2, "gasStaffName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIsNull() {
            addCriterion("gas_salesman_id is null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIsNotNull() {
            addCriterion("gas_salesman_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdEqualTo(Long value) {
            addCriterion("gas_salesman_id =", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotEqualTo(Long value) {
            addCriterion("gas_salesman_id <>", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdGreaterThan(Long value) {
            addCriterion("gas_salesman_id >", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_salesman_id >=", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdLessThan(Long value) {
            addCriterion("gas_salesman_id <", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_salesman_id <=", value, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdIn(List<Long> values) {
            addCriterion("gas_salesman_id in", values, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotIn(List<Long> values) {
            addCriterion("gas_salesman_id not in", values, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdBetween(Long value1, Long value2) {
            addCriterion("gas_salesman_id between", value1, value2, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_salesman_id not between", value1, value2, "gasSalesmanId");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIsNull() {
            addCriterion("gas_salesman_name is null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIsNotNull() {
            addCriterion("gas_salesman_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameEqualTo(String value) {
            addCriterion("gas_salesman_name =", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotEqualTo(String value) {
            addCriterion("gas_salesman_name <>", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameGreaterThan(String value) {
            addCriterion("gas_salesman_name >", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_salesman_name >=", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLessThan(String value) {
            addCriterion("gas_salesman_name <", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLessThanOrEqualTo(String value) {
            addCriterion("gas_salesman_name <=", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameLike(String value) {
            addCriterion("gas_salesman_name like", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotLike(String value) {
            addCriterion("gas_salesman_name not like", value, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameIn(List<String> values) {
            addCriterion("gas_salesman_name in", values, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotIn(List<String> values) {
            addCriterion("gas_salesman_name not in", values, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameBetween(String value1, String value2) {
            addCriterion("gas_salesman_name between", value1, value2, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasSalesmanNameNotBetween(String value1, String value2) {
            addCriterion("gas_salesman_name not between", value1, value2, "gasSalesmanName");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIsNull() {
            addCriterion("gas_agent_id is null");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIsNotNull() {
            addCriterion("gas_agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdEqualTo(Long value) {
            addCriterion("gas_agent_id =", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotEqualTo(Long value) {
            addCriterion("gas_agent_id <>", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdGreaterThan(Long value) {
            addCriterion("gas_agent_id >", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_agent_id >=", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdLessThan(Long value) {
            addCriterion("gas_agent_id <", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_agent_id <=", value, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdIn(List<Long> values) {
            addCriterion("gas_agent_id in", values, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotIn(List<Long> values) {
            addCriterion("gas_agent_id not in", values, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdBetween(Long value1, Long value2) {
            addCriterion("gas_agent_id between", value1, value2, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_agent_id not between", value1, value2, "gasAgentId");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIsNull() {
            addCriterion("gas_agent_name is null");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIsNotNull() {
            addCriterion("gas_agent_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameEqualTo(String value) {
            addCriterion("gas_agent_name =", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotEqualTo(String value) {
            addCriterion("gas_agent_name <>", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameGreaterThan(String value) {
            addCriterion("gas_agent_name >", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_agent_name >=", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLessThan(String value) {
            addCriterion("gas_agent_name <", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLessThanOrEqualTo(String value) {
            addCriterion("gas_agent_name <=", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameLike(String value) {
            addCriterion("gas_agent_name like", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotLike(String value) {
            addCriterion("gas_agent_name not like", value, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameIn(List<String> values) {
            addCriterion("gas_agent_name in", values, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotIn(List<String> values) {
            addCriterion("gas_agent_name not in", values, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameBetween(String value1, String value2) {
            addCriterion("gas_agent_name between", value1, value2, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasAgentNameNotBetween(String value1, String value2) {
            addCriterion("gas_agent_name not between", value1, value2, "gasAgentName");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIsNull() {
            addCriterion("gas_org_id is null");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIsNotNull() {
            addCriterion("gas_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdEqualTo(Long value) {
            addCriterion("gas_org_id =", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotEqualTo(Long value) {
            addCriterion("gas_org_id <>", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdGreaterThan(Long value) {
            addCriterion("gas_org_id >", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("gas_org_id >=", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdLessThan(Long value) {
            addCriterion("gas_org_id <", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("gas_org_id <=", value, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdIn(List<Long> values) {
            addCriterion("gas_org_id in", values, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotIn(List<Long> values) {
            addCriterion("gas_org_id not in", values, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdBetween(Long value1, Long value2) {
            addCriterion("gas_org_id between", value1, value2, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("gas_org_id not between", value1, value2, "gasOrgId");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIsNull() {
            addCriterion("gas_org_name is null");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIsNotNull() {
            addCriterion("gas_org_name is not null");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameEqualTo(String value) {
            addCriterion("gas_org_name =", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotEqualTo(String value) {
            addCriterion("gas_org_name <>", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameGreaterThan(String value) {
            addCriterion("gas_org_name >", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("gas_org_name >=", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLessThan(String value) {
            addCriterion("gas_org_name <", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLessThanOrEqualTo(String value) {
            addCriterion("gas_org_name <=", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameLike(String value) {
            addCriterion("gas_org_name like", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotLike(String value) {
            addCriterion("gas_org_name not like", value, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameIn(List<String> values) {
            addCriterion("gas_org_name in", values, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotIn(List<String> values) {
            addCriterion("gas_org_name not in", values, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameBetween(String value1, String value2) {
            addCriterion("gas_org_name between", value1, value2, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andGasOrgNameNotBetween(String value1, String value2) {
            addCriterion("gas_org_name not between", value1, value2, "gasOrgName");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt4IsNull() {
            addCriterion("ext_4 is null");
            return (Criteria) this;
        }

        public Criteria andExt4IsNotNull() {
            addCriterion("ext_4 is not null");
            return (Criteria) this;
        }

        public Criteria andExt4EqualTo(String value) {
            addCriterion("ext_4 =", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotEqualTo(String value) {
            addCriterion("ext_4 <>", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4GreaterThan(String value) {
            addCriterion("ext_4 >", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4GreaterThanOrEqualTo(String value) {
            addCriterion("ext_4 >=", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4LessThan(String value) {
            addCriterion("ext_4 <", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4LessThanOrEqualTo(String value) {
            addCriterion("ext_4 <=", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4Like(String value) {
            addCriterion("ext_4 like", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotLike(String value) {
            addCriterion("ext_4 not like", value, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4In(List<String> values) {
            addCriterion("ext_4 in", values, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotIn(List<String> values) {
            addCriterion("ext_4 not in", values, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4Between(String value1, String value2) {
            addCriterion("ext_4 between", value1, value2, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt4NotBetween(String value1, String value2) {
            addCriterion("ext_4 not between", value1, value2, "ext4");
            return (Criteria) this;
        }

        public Criteria andExt5IsNull() {
            addCriterion("ext_5 is null");
            return (Criteria) this;
        }

        public Criteria andExt5IsNotNull() {
            addCriterion("ext_5 is not null");
            return (Criteria) this;
        }

        public Criteria andExt5EqualTo(String value) {
            addCriterion("ext_5 =", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotEqualTo(String value) {
            addCriterion("ext_5 <>", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5GreaterThan(String value) {
            addCriterion("ext_5 >", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5GreaterThanOrEqualTo(String value) {
            addCriterion("ext_5 >=", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5LessThan(String value) {
            addCriterion("ext_5 <", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5LessThanOrEqualTo(String value) {
            addCriterion("ext_5 <=", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5Like(String value) {
            addCriterion("ext_5 like", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotLike(String value) {
            addCriterion("ext_5 not like", value, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5In(List<String> values) {
            addCriterion("ext_5 in", values, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotIn(List<String> values) {
            addCriterion("ext_5 not in", values, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5Between(String value1, String value2) {
            addCriterion("ext_5 between", value1, value2, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt5NotBetween(String value1, String value2) {
            addCriterion("ext_5 not between", value1, value2, "ext5");
            return (Criteria) this;
        }

        public Criteria andExt6IsNull() {
            addCriterion("ext_6 is null");
            return (Criteria) this;
        }

        public Criteria andExt6IsNotNull() {
            addCriterion("ext_6 is not null");
            return (Criteria) this;
        }

        public Criteria andExt6EqualTo(String value) {
            addCriterion("ext_6 =", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotEqualTo(String value) {
            addCriterion("ext_6 <>", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6GreaterThan(String value) {
            addCriterion("ext_6 >", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6GreaterThanOrEqualTo(String value) {
            addCriterion("ext_6 >=", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6LessThan(String value) {
            addCriterion("ext_6 <", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6LessThanOrEqualTo(String value) {
            addCriterion("ext_6 <=", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6Like(String value) {
            addCriterion("ext_6 like", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotLike(String value) {
            addCriterion("ext_6 not like", value, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6In(List<String> values) {
            addCriterion("ext_6 in", values, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotIn(List<String> values) {
            addCriterion("ext_6 not in", values, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6Between(String value1, String value2) {
            addCriterion("ext_6 between", value1, value2, "ext6");
            return (Criteria) this;
        }

        public Criteria andExt6NotBetween(String value1, String value2) {
            addCriterion("ext_6 not between", value1, value2, "ext6");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}